﻿Type=Activity
Version=2.02
FullScreen=False
IncludeTitle=True
@EndOfDesignText@

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
    Dim GPS1 As GPS
End Sub

Sub Globals
    Dim lblLon As Label
    Dim lblLat As Label
    Dim lbldis As Label
    Dim lblgrad As Label
    Dim lblSpeed As Label
    Dim lblSatellites As Label
	Dim ScaleBarOverlay1 As ScaleBarOverlay

	Dim MapView1 As MapView
	Dim MinimapOverlay1 As MinimapOverlay
	
	Dim btnZoom As Button
	Dim btnKompass As Button
	
	'	create the MarkersOverlay
	Dim MarkersOverlay1 As MarkersOverlay
	Dim MarkersOverlay2 As MarkersOverlay
	Dim MarkersOverlay3 As MarkersOverlay
	Dim myLat As Double
	Dim myLon As Double
	
	Dim aufruf As Boolean
	aufruf = False
	
	Dim Zoom As Boolean
	Zoom = True
	
	Dim Kompass As Boolean
	Kompass = False
End Sub

Sub Activity_Create(FirstTime As Boolean)
    If FirstTime Then
        GPS1.Initialize("GPS")
    End If
	Activity.LoadLayout("map")
	btnZoom.Top = 100%y - btnZoom.Height	
	
	btnKompass.Top = btnZoom.Top
	btnKompass.Width = btnZoom.Width
	btnKompass.Left = btnZoom.Width
End Sub

Sub Activity_Resume
    If GPS1.GPSEnabled = False Then
        ToastMessageShow("Bitte GPS einschalten.", True)
        StartActivity(GPS1.LocationSettingsIntent) 'Will open the relevant settings screen.
    Else
        GPS1.Start(0, 0) 'Listen to GPS with no filters.
    End If
End Sub

Sub Activity_Pause (UserClosed As Boolean)
 '   GPS1.Stop
 '       ToastMessageShow("Bitte GPS ausschalten.", True)
 '       StartActivity(GPS1.LocationSettingsIntent) 'Will open the relevant settings screen.
End Sub

Sub GPS_LocationChanged (Location1 As Location)

	myLat = Location1.Latitude
   	myLon = Location1.Longitude

    lblLat.Text = "Lat = " & Location1.ConvertToMinutes(Location1.Latitude)
    lblLon.Text = "Lon = " & Location1.ConvertToMinutes(Location1.Longitude)
'    lblSpeed.Text = "Speed = " & Location1.Speed
'	Dim Location2 As Location
	'Location2.Initialize2("51:37.296", "8:41.626")
'	Location2.Initialize2("51:38.130", "8:40.004")
'    lbldis.Text = "Distance = " & Location1.DistanceTo(Location2)
'    lblgrad.Text = "Grad = " & Location1.BearingTo (Location2)

End Sub

Sub GPS_UserEnabled (Enabled As Boolean)
'    ToastMessageShow("GPS device enabled = " & Enabled, True)
End Sub

Sub GPS_GpsStatus (Satellites As List)

    lblSatellites.Text = "Satellites:" & CRLF
    For i = 0 To Satellites.Size - 1
        Dim Satellite As GPSSatellite
        Satellite = Satellites.Get(i)
        lblSatellites.Text = lblSatellites.Text & CRLF & Satellite.Prn & _
            " " & Satellite.Snr & " " & Satellite.UsedInFix & " " & Satellite.Azimuth _ 
            & " " & Satellite.Elevation 
    Next
		
	If aufruf = False Then
		If lblLat.Text <> "Bitte warten" Then
			If lblLon.Text <> "Bitte warten" Then
				aufruf_karte("K")
				aufruf = True
			End If
		End If
	Else
		aufruf_karte("D")
	End If
End Sub

Sub aufruf_karte(art As String)

If art = "K" Then ' Karte zeichen

	Dim nord, ost As String
		
	'	MapView initialized with no EventName as we'll not be listening for MapView events
	MapView1.Initialize("")
'	Activity.AddView(MapView1, 0, 48dip, 100%x, 100%y-48dip)
	Activity.AddView(MapView1, 0, 0, 100%x, 100%Y - btnZoom.Height)
	
	MapView1.SetMultiTouchEnabled(True)
	MapView1.SetZoomEnabled(True)
	
	'	initialize the MarkersOverlay and add it to the MapView
	'	an EventName is required as we will listen for the two events that MarkersOverlay generates

	MarkersOverlay1.Initialize(MapView1, "MarkersOverlay1") ' aktuelle Position
	MarkersOverlay2.Initialize(MapView1, "MarkersOverlay2") ' Caches
	MarkersOverlay3.Initialize(MapView1, "MarkersOverlay3") ' Aktuelle Position mit Caches für Zoom
	MapView1.AddOverlay(MarkersOverlay1)
	MapView1.AddOverlay(MarkersOverlay2)
	MapView1.AddOverlay(MarkersOverlay3)
	
	'	create and initialize 2 Markers
	
	'	for Marker1 i'll use a custom icon
'	Dim Icon1 As BitmapDrawable
'	Icon1.Initialize(LoadBitmap(File.DirAssets, "person.png"))
	
'	Dim Marker1 As Marker
'	Marker1.Initialize("Home sweet home", "Lorem ipsum dolor sit amet, tus molestie.", myLat, myLon, Icon1)
	
	Dim text1 As String
	Dim text2 As String


	Dim Cursor1 As Cursor
	Cursor1 = Main.SQL1.ExecQuery("SELECT * FROM " & Main.DBTableName)

	Dim Icon1 As BitmapDrawable
	Icon1.Initialize(LoadBitmap(File.DirAssets, "hier.png"))

	Dim Markers1 As List
	Markers1.Initialize
	Dim Markers2 As List
	Markers2.Initialize
	Dim Markers3 As List
	Markers3.Initialize
	
	
	Dim Marker3 As Marker
	Marker3.Initialize("Aktuelle Position", " ", myLat, myLon, Icon1)

	Markers1.Add(Marker3)
	Markers3.Add(Marker3)
	
	Dim Icon2 As BitmapDrawable
	Icon2.Initialize(LoadBitmap(File.DirAssets, "3.png"))

	For i = 0 To Cursor1.RowCount - 1		
		Dim Col(Main.NumberOfColumns) As String

	    Cursor1.Position = i

		If Main.ColumnName(2) = 0 Then
			nord = "-"
		Else
			nord = ""
		End If 

		If Main.ColumnName(5) = 0 Then
			ost = "-"
		Else
			ost = ""
		End If

		text1 = Cursor1.GetString(Main.ColumnName(3)) 
		text2 = Cursor1.GetString(Main.ColumnName(4))
		nord =  nord & text1.Trim & ":" & text2.Trim

		text1 = Cursor1.GetString(Main.ColumnName(6))
		text2 = Cursor1.GetString(Main.ColumnName(7))
		ost =  ost & text1.Trim & ":" & text2.Trim

		Dim Location2 As Location
		Location2.Initialize2(nord, ost)

		Dim Marker2 As Marker
		Marker2.Initialize(Cursor1.GetString(Main.ColumnName(1)), "Hint : " & Cursor1.GetString(Main.ColumnName(9)), Location2.Latitude, Location2.Longitude, Icon2)

		Markers2.Add(Marker2)
		Markers3.Add(Marker2)

	Next

	Cursor1.Close

	MarkersOverlay1.AddMarkers(Markers1)
	MarkersOverlay2.AddMarkers(Markers2)
	MarkersOverlay3.AddMarkers(Markers3)

	ScaleBarOverlay1.Initialize(MapView1)

	ScaleBarOverlay1.SetTextSize(24)


	MapView1.AddOverlay(ScaleBarOverlay1)
	'MapView1.Zoom = 16
	MapView1.SetCenter(myLat,myLon)
	MapView1.FitMapToBoundingBox(MarkersOverlay3.GetBoundingBox)
	
	MapView1.Zoom = MapView1.Zoom + 1

	MapView1.RemoveOverlay(MarkersOverlay3)

Else
	MapView1.RemoveOverlay(MarkersOverlay1)
'	ToastMessageShow("Aufruf", True)

	MarkersOverlay1.Initialize(MapView1, "MarkersOverlay1") ' aktuelle Position
	MapView1.AddOverlay(MarkersOverlay1)

	Dim Icon1 As BitmapDrawable
	Icon1.Initialize(LoadBitmap(File.DirAssets, "hier.png"))

	Dim Markers1 As List
	Markers1.Initialize
	
	Dim Marker3 As Marker
	Marker3.Initialize("Aktuelle Position", " ", myLat, myLon, Icon1)

	Markers1.Add(Marker3)
	MarkersOverlay1.AddMarkers(Markers1)

	If Zoom = True Then
		MapView1.SetCenter(myLat,myLon)
	End If
	
End If
End Sub

Sub MarkersOverlay1_Click(Title As String, Description As String, Point As GeoPoint)
	ToastMessageShow(Title& CRLF &Description, True)
End Sub
Sub btnZoom_Click
	If Zoom = True Then
		Zoom = False
		btnZoom.Text = "Zoom: ohne"
	Else
		Zoom = True
		btnZoom.Text = "Zoom: Position"
	End If
End Sub
Sub btnKompass_Click
	
End Sub